variable_list(3)

NAME
variable_list -

The netsnmp variable list binding structure, it's typedef'd to netsnmp_variable_list.

SYNOPSIS

#include <types.h>

  Data Fields
struct variable_list * next_variable
NULL for last variable.
oid * name
Object identifier of variable.
size_t name_length
number of subid's in name
u_char type
ASN type of variable.
netsnmp_vardata val
value of variable
size_t val_len
the length of the value to be copied into buf
oid name_loc [MAX_OID_LEN]
90 percentile < 24.
u_char buf [40]
90 percentile < 40.
void * data
(Opaque) hook for additional data
void(* dataFreeHook )(void *)
callback to free above
int index

Detailed Description

The netsnmp variable list binding structure, it's typedef'd to netsnmp_variable_list.

Examples:

notification.c.

Definition at line 112 of file types.h.

Field Documentation

  u_char variable_list::buf[40]

90 percentile < 40.

Definition at line 128 of file types.h.

  void* variable_list::data

(Opaque) hook for additional data

Definition at line 130 of file types.h.

  void(* variable_list::dataFreeHook)(void *)

callback to free above

  oid* variable_list::name

Object identifier of variable.

Definition at line 116 of file types.h.

  size_t variable_list::name_length

number of subid's in name

Definition at line 118 of file types.h.

  oid variable_list::name_loc[MAX_OID_LEN]

90 percentile < 24.

Definition at line 126 of file types.h.

  struct variable_list* variable_list::next_variable [read]

NULL for last variable.

Definition at line 114 of file types.h.

  u_char variable_list::type

ASN type of variable.

Examples:
delayed_instance.c.

Definition at line 120 of file types.h.

  netsnmp_vardata variable_list::val

value of variable

Examples:
delayed_instance.c.

Definition at line 122 of file types.h.

  size_t variable_list::val_len

the length of the value to be copied into buf

Definition at line 124 of file types.h.

Author

Generated automatically by Doxygen for net-snmp from the source code.